local GetSpellInfo = GetSpellInfo

local folder, namespace = ...

namespace.spawnDistance = 3

namespace.totemInfo = {
	[2484] = {name=GetSpellInfo(2484), duration=45, range=10, school=2}, --Earthbind Totem
	
	[8071] = {name=GetSpellInfo(8071), duration=60*5, range=30, school=2}, --Stoneskin Totem
	[8154] = {name=GetSpellInfo(8154), duration=60*5, range=30, school=2},
	[8155] = {name=GetSpellInfo(8155), duration=60*5, range=30, school=2},
	[10406] = {name=GetSpellInfo(10406), duration=60*5, range=30, school=2},
	[10407] = {name=GetSpellInfo(10407), duration=60*5, range=30, school=2},
	[10408] = {name=GetSpellInfo(10408), duration=60*5, range=30, school=2},
	[25508] = {name=GetSpellInfo(25508), duration=60*5, range=30, school=2},
	[25509] = {name=GetSpellInfo(25509), duration=60*5, range=30, school=2},
	[58751] = {name=GetSpellInfo(58751), duration=60*5, range=30, school=2},
	[58753] = {name=GetSpellInfo(58753), duration=60*5, range=30, school=2},
	
	[5730] = {name=GetSpellInfo(5730), duration=15, range=8, school=2}, --Stoneclaw Totem
	[6390] = {name=GetSpellInfo(6390), duration=15, range=8, school=2},
	[6391] = {name=GetSpellInfo(6391), duration=15, range=8, school=2},
	[6392] = {name=GetSpellInfo(6392), duration=15, range=8, school=2},
	[10427] = {name=GetSpellInfo(10427), duration=15, range=8, school=2},
	[10428] = {name=GetSpellInfo(10428), duration=15, range=8, school=2},
	[25525] = {name=GetSpellInfo(25525), duration=15, range=8, school=2},
	[58580] = {name=GetSpellInfo(58580), duration=15, range=8, school=2},
	[58581] = {name=GetSpellInfo(58581), duration=15, range=8, school=2},
	[58582] = {name=GetSpellInfo(58582), duration=15, range=8, school=2},

	[8075] = {name=GetSpellInfo(8075), duration=60*5, range=30, school=2}, --Strength of Earth Totem
	[8160] = {name=GetSpellInfo(8160), duration=60*5, range=30, school=2},
	[8161] = {name=GetSpellInfo(8161), duration=60*5, range=30, school=2},
	[10442] = {name=GetSpellInfo(10442), duration=60*5, range=30, school=2},
	[25361] = {name=GetSpellInfo(25361), duration=60*5, range=30, school=2},
	[25528] = {name=GetSpellInfo(25528), duration=60*5, range=30, school=2},
	[57622] = {name=GetSpellInfo(57622), duration=60*5, range=30, school=2},
	[58643] = {name=GetSpellInfo(58643), duration=60*5, range=30, school=2},

	[8143] = {name=GetSpellInfo(8143), duration=60*5, range=30, school=2}, --Tremor Totem
	
	[2062] = {name=GetSpellInfo(2062), duration=60*2, range=0, school=2}, --Earth Elemental Totem
	
	[3599] = {name=GetSpellInfo(3599), duration=30, range=20, school=1}, --Searing Totem
	[6363] = {name=GetSpellInfo(6363), duration=35, range=20, school=1},
	[6364] = {name=GetSpellInfo(6364), duration=40, range=20, school=1},
	[6365] = {name=GetSpellInfo(6365), duration=45, range=20, school=1},
	[10437] = {name=GetSpellInfo(10437), duration=50, range=20, school=1},
	[10438] = {name=GetSpellInfo(10438), duration=55, range=20, school=1},
	[25533] = {name=GetSpellInfo(25533), duration=60, range=20, school=1},
	[58699] = {name=GetSpellInfo(58699), duration=60, range=20, school=1},
	[58703] = {name=GetSpellInfo(58703), duration=60, range=20, school=1},
	[58704] = {name=GetSpellInfo(58704), duration=60, range=20, school=1},

	[8190] = {name=GetSpellInfo(8190), duration=21, range=8, school=1}, --Magma Totem
	[10585] = {name=GetSpellInfo(10585), duration=21, range=8, school=1},
	[10586] = {name=GetSpellInfo(10586), duration=21, range=8, school=1},
	[10587] = {name=GetSpellInfo(10587), duration=21, range=8, school=1},
	[25552] = {name=GetSpellInfo(25552), duration=21, range=8, school=1},
	[58731] = {name=GetSpellInfo(58731), duration=21, range=8, school=1},
	[58734] = {name=GetSpellInfo(58734), duration=21, range=8, school=1},
	
	[8181] = {name=GetSpellInfo(8181), duration=60*5, range=30, school=1}, --Frost Resistance Totem
	[10478] = {name=GetSpellInfo(10478), duration=60*5, range=30, school=1},
	[10479] = {name=GetSpellInfo(10479), duration=60*5, range=30, school=1},
	[25560] = {name=GetSpellInfo(25560), duration=60*5, range=30, school=1},
	[58741] = {name=GetSpellInfo(58741), duration=60*5, range=30, school=1},
	[58745] = {name=GetSpellInfo(58745), duration=60*5, range=30, school=1},

	[8227] = {name=GetSpellInfo(8227), duration=60*5, range=30, school=1}, --Flametongue Totem
	[8249] = {name=GetSpellInfo(8249), duration=60*5, range=30, school=1},
	[10526] = {name=GetSpellInfo(10526), duration=60*5, range=30, school=1},
	[16387] = {name=GetSpellInfo(16387), duration=60*5, range=30, school=1},
	[25557] = {name=GetSpellInfo(25557), duration=60*5, range=30, school=1},
	[58649] = {name=GetSpellInfo(58649), duration=60*5, range=30, school=1},
	[58652] = {name=GetSpellInfo(58652), duration=60*5, range=30, school=1},
	[58656] = {name=GetSpellInfo(58656), duration=60*5, range=30, school=1},

	[30706] = {name=GetSpellInfo(30706), duration=60*5, range=40, school=1}, --Totem of Wrath
	[57720] = {name=GetSpellInfo(57720), duration=60*5, range=40, school=1},
	[57721] = {name=GetSpellInfo(57721), duration=60*5, range=40, school=1},
	[57722] = {name=GetSpellInfo(57722), duration=60*5, range=40, school=1},
	
	[2894] = {name=GetSpellInfo(2894), duration=60*2, range=0, school=1}, --Fire Elemental Totem
	
	[5394] = {name=GetSpellInfo(5394), duration=60*5, range=30, school=3}, --Healing Stream Totem
	[6375] = {name=GetSpellInfo(6375), duration=60*5, range=30, school=3},
	[6377] = {name=GetSpellInfo(6377), duration=60*5, range=30, school=3},
	[10462] = {name=GetSpellInfo(10462), duration=60*5, range=30, school=3},
	[10463] = {name=GetSpellInfo(10463), duration=60*5, range=30, school=3},
	[25567] = {name=GetSpellInfo(25567), duration=60*5, range=30, school=3},
	[58755] = {name=GetSpellInfo(58755), duration=60*5, range=30, school=3},
	[58756] = {name=GetSpellInfo(58756), duration=60*5, range=30, school=3},
	[58757] = {name=GetSpellInfo(58757), duration=60*5, range=30, school=3},

	[5675] = {name=GetSpellInfo(5675), duration=60*5, range=30, school=3}, --Mana Spring Totem
	[10495] = {name=GetSpellInfo(10495), duration=60*5, range=30, school=3},
	[10496] = {name=GetSpellInfo(10496), duration=60*5, range=30, school=3},
	[10497] = {name=GetSpellInfo(10497), duration=60*5, range=30, school=3},
	[25570] = {name=GetSpellInfo(25570), duration=60*5, range=30, school=3},
	[58771] = {name=GetSpellInfo(58771), duration=60*5, range=30, school=3},
	[58773] = {name=GetSpellInfo(58773), duration=60*5, range=30, school=3},
	[58774] = {name=GetSpellInfo(58774), duration=60*5, range=30, school=3},

	[8170] = {name=GetSpellInfo(8170), duration=60*5, range=30, school=3}, --Cleansing Totem
	
	[16190] = {name=GetSpellInfo(16190), duration=12, range=30, school=3}, --Mana Tide Totem
	
	[8184] = {name=GetSpellInfo(8184), duration=60*5, range=30, school=3},--Fire Resistance Totem
	[10537] = {name=GetSpellInfo(10537), duration=60*5, range=30, school=3},
	[10538] = {name=GetSpellInfo(10538), duration=60*5, range=30, school=3},
	[25563] = {name=GetSpellInfo(25563), duration=60*5, range=30, school=3},
	[58737] = {name=GetSpellInfo(58737), duration=60*5, range=30, school=3},
	[58739] = {name=GetSpellInfo(58739), duration=60*5, range=30, school=3},

	[8512] = {name=GetSpellInfo(8512), duration=60*5, range=30, school=4},--Windfury Totem
	
	[8177] = {name=GetSpellInfo(8177), duration=45, range=20, school=4}, --Grounding Totem
	
	[6495] = {name=GetSpellInfo(6495), duration=60*5, range=0, school=4}, --Sentry Totem
	
	[10595] = {name=GetSpellInfo(10595), duration=60*5, range=30, school=4}, --Nature Resistance Totem
	[10600] = {name=GetSpellInfo(10600), duration=60*5, range=30, school=4},
	[10601] = {name=GetSpellInfo(10601), duration=60*5, range=30, school=4},
	[25574] = {name=GetSpellInfo(25574), duration=60*5, range=30, school=4},
	[58746] = {name=GetSpellInfo(58746), duration=60*5, range=30, school=4},
	[58749] = {name=GetSpellInfo(58749), duration=60*5, range=30, school=4},

	[3738] = {name=GetSpellInfo(3738), duration=60*5, range=30, school=4}, --Wrath of Air Totem
	
}

namespace.slotSchool = {
	"Fire",		-- 1
	"Earth",	-- 2
	"Water",	-- 3
	"Air",		-- 4
}

--Headings of where totems spawn relative to your characters direction.
namespace.totemHeadings = {
	[1] = 45,	--#1 = 45deg (NW)	fire
	[2] = 315,	--#2 = 315deg (NE)	earth
	[3] = 135,	--#3 = 135deg (SE)	water
	[4] = 225,	--#4 = 225deg (SW)	air
}
